View Issue Details

IDProjectCategoryView StatusLast Update
0001512OpenFOAM[All Projects] Bugpublic2015-02-09 19:02
ReporterwyldckatAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version12.04
Product Versiondev 
Fixed in Version 
Summary0001512: Commit cb23867daa2b6a on OpenFOAM-dev for doxyFilter.sed has damaged the resulting HTML files
DescriptionThe summary almost says it all. Said commit was for fixing issue #252: http://www.openfoam.org/mantisbt/view.php?id=252


The attached file "a00519.html" at the anchor "#details" shows this block of text:

    Detailed Description
    template<class Type, class GeoMesh>
    class Foam::DimensionedField< Type, GeoMesh >

    Description Field with dimensions and associated with geometry type GeoMesh which is used to size the field and a reference to it is maintained.

    SourceFiles DimensionedFieldI.H DimensionedField.C DimensionedFieldIO.C


For contrast, as reported about an hour ago in issue #1016: http://www.openfoam.org/mantisbt/view.php?id=1016 - the expected output for the same block was this:

      Detailed Description
      template<class Type, class GeoMesh>
      class Foam::DimensionedField< Type, GeoMesh >

      Field with dimensions and associated with geometry type GeoMesh which is used to size the field and a reference to it is maintained.

      Source files

              DimensionedField.H
              DimensionedFieldI.H
              DimensionedField.C
              DimensionedFieldIO.C

Additional InformationI'm still going to try and diagnose what went wrong. Will report back as soon as I can figure out more details.
TagsNo tags attached.

Activities

wyldckat

2015-02-07 21:58

updater  

a00519.html (316,212 bytes)

wyldckat

2015-02-07 22:14

updater   ~0003718

Forgot to mention that I'm using GNU sed version 4.2.1 that comes by default with Ubuntu 12.04.

wyldckat

2015-02-08 15:25

updater  

doxyFilter.sed (2,550 bytes)

wyldckat

2015-02-08 15:33

updater   ~0003719

Attached is the file "bin/tools/doxyFilter.sed", with the processing of multilines Class block working properly, or at least working on Ubuntu 12.04 with GNU sed 4.2.1.

The new code was this:

    /^Class *$/{
    N
    :loop
    /.*:: *$/{
    N
    s/^ *\(.*\) *\n *\(.*\) */\1\2/
    }
    t loop
    s/Class *\n *\(.*\) */\\class \1/
    }

which is a bit simpler than the one that had been implemented in the reported commit.

Attached are also the following files:

 - "fixed_a00519.html" - It's the same file posted above, resulting from the use of the repaired "doxyFilter.sed".

 - "broken_a02664.html" - It's the file for the class "turbulentTemperatureCoupledBaffleMixedFvPatchScalarField", which has a 3 line class name in the "Class" block of the header. This file was generated with the broken "doxyFilter.sed".

 - "repaired_a02661.html" - Same respective file for the "turbulentTemperatureCoupledBaffleMixedFvPatchScalarField" class, generated with the repaired "doxyFilter.sed".

wyldckat

2015-02-08 15:34

updater  

fixed_a00519.html (319,593 bytes)

wyldckat

2015-02-08 15:34

updater  

broken_a02664.html (45,615 bytes)

wyldckat

2015-02-08 15:34

updater  

repaired_a02661.html (49,946 bytes)

henry

2015-02-08 23:19

manager   ~0003729

Thanks for the update to doxyFilter.sed I will test it now.

The format of the Class entry in turbulentTemperatureCoupledBaffleMixedFvPatchScalarField.H does not conform to the rules I wrote the updated doxyFilter.sed to handle and I will fix it and aty other poorly formatted Class entries.

henry

2015-02-09 19:02

manager   ~0003742

Resolved by commit 24f0273b9231066f40ddce3f8036104c26dd7c03 in OpenFOAM-2.3.x
Resolved by commit ae4cdef8b5a25d898ae60d2fc4c145f08f1af0a1 in OpenFOAM-dev

Issue History

Date Modified Username Field Change
2015-02-07 21:58 wyldckat New Issue
2015-02-07 21:58 wyldckat File Added: a00519.html
2015-02-07 22:14 wyldckat Note Added: 0003718
2015-02-08 15:25 wyldckat File Added: doxyFilter.sed
2015-02-08 15:33 wyldckat Note Added: 0003719
2015-02-08 15:34 wyldckat File Added: fixed_a00519.html
2015-02-08 15:34 wyldckat File Added: broken_a02664.html
2015-02-08 15:34 wyldckat File Added: repaired_a02661.html
2015-02-08 23:19 henry Note Added: 0003729
2015-02-09 19:02 henry Note Added: 0003742
2015-02-09 19:02 henry Status new => resolved
2015-02-09 19:02 henry Resolution open => fixed
2015-02-09 19:02 henry Assigned To => henry